#include "vector.h"
#include <math.h>
#include <iostream>

myVector3D::myVector3D()
{
}

myVector3D::~myVector3D()
{
}

myVector3D::myVector3D(double x1, double y1, double z1)
{
    x = x1, y = y1, z = z1;
}

myVector3D myVector3D::operator + (myVector3D a) const
{
    return myVector3D(x + a.x, y + a.y, z + a.z);
}

myVector3D myVector3D::operator - (myVector3D a) const
{
    return myVector3D(x - a.x, y - a.y, z - a.z);
}

void myVector3D::operator = (myVector3D u)
{
    x = u.x, y = u.y, z = u.z;
}

bool myVector3D::operator ==(myVector3D u) const
{
    return (x == u.x && y == u.y && z == u.z);
}

bool myVector3D::operator !=(myVector3D u) const
{
    return (x != u.x || y != u.y || z != u.z);
}

myVector3D myVector3D::operator *(double a) const
{
    return myVector3D (x * a, y * a, z * a);
}

double myVector3D::len2 () const
{
    return x * x + y * y + z * z;
}

double myVector3D::abs() const
{
    return sqrt(len2());
}
