#ifndef POINTS_H
#define POINTS_H

#include "scene3D.h"
#include "mainwindow.h"
#include <QGLWidget>
#include "speed.h"
#include "vector.h"
#include <QtGui>

class Speed;

class Points : public Scene3D
{
    Q_OBJECT
    QTimer *timer;
    double m;
    void drawAxis();

    unsigned long N_POINTS;
    double * masMPoint;
    QVector3D ** myPointVector;
    QVector3D ** myAPointVector;
    QVector3D ** myFPointVector;
    QVector3D ** myVPointVector;
    myVector3D * myPointVector_;
    myVector3D * myVPointVector_;
    myVector3D * myAPointVector_;
    myVector3D * myFPointVector_;

    void Abstr ( void ){}
    double R;
    void drawArrow(double size, double x, double y, double z);
    /*
    double nSca;
    void wheelEvent(QWheelEvent *pe)
    {
        if ((pe->delta()) < 0)
            nSca *= 1.1;
        else
            if ((pe->delta()) > 0)
                nSca /= 1.1;
        updateGL();
    }
    */


public:
    bool showF;
    bool showV;
    Speed * pointsSpeed;
    void initFPoint();
    QCursor cursor;
    int nInfo;
    explicit Points(QGLWidget *parent = 0);
    void drawPoints();
    void clear();
    void analizePoints();
    double L;
    void resizeGL(int nWidth, int nHeight);
    void paintGL();
    void initializeGL();
    //void updateGL();

    double pointInformation();
private slots:
    void change();
public slots:
    void initPoints(QVector3D ** point, int n);
protected:

signals:

};

#endif // POINTS_H
