#ifndef SCENE3D_H
#define SCENE3D_H

#include <QGLWidget>

class QVector3D;

class Scene3D : public QGLWidget
{
protected:
    bool leftButtonPressed;
    virtual void Abstr ( void ) = 0;
    GLfloat xRot;
    GLfloat yRot;
    GLfloat zRot;
    GLfloat zTra;
    GLfloat nSca;
    void scale_plus();
    void scale_minus();
    void rotate_up();
    void rotate_down();
    void rotate_left();
    void rotate_right();
    void translate_down();
    void translate_up();

//protected:

    void mouseDoubleClickEvent(QMouseEvent* pe);
    void mousePressEvent(QMouseEvent* pe);
    void mouseMoveEvent(QMouseEvent* pe);
    void wheelEvent(QWheelEvent* pe);
    void mouseReleaseEvent(QMouseEvent* pe);
    void keyPressEvent(QKeyEvent* pe);
    bool controlClear;
    void defaultScene();
    void mouseGrabber();


public:
    bool isPaused;
    Scene3D(QWidget* parent = 0);
    QPoint mousePosition;
};
#endif
