#include "mainwindow.h"
#include "utils.h"
#include <iostream>
#include <math.h>

double maxFunc(double a, double b, double c)
{
    double max = a;
    if(max < b)
        max = b;
    if(max < c)
        max = c;
    return max;
}

QVector3D* funcRotX(QVector3D* vector, int n, double angle)
{
    QVector3D * vec2 = new QVector3D[n];
    vec2->setX(vector->x());
    vec2->setY(vector->y() * (cos(angle) + sin(angle)));
    vec2->setZ(vector->z() * (cos(angle) - sin(angle)));
    return vec2;
}

int sign(double x)
{
    if(x == 0)
        return 0;
    else
        if(x > 0)
            return 1;
    return -1;
}

int funcN(double * speedVector, double v, double dv, int N)
{
    int N_ = 0;
    for(int i = 0; i < N; i++)
    {
        if(speedVector[i] > v && speedVector[i] <= v + dv)
        N_++;
    }
    return N_;
}
